#ifndef KYLIN_SYSTEM_WINDOW_MANAGEMENT_H_
#define KYLIN_SYSTEM_WINDOW_MANAGEMENT_H_

namespace kdk
{
namespace kabase
{

class WindowManagement
{
public:
    WindowManagement();
    ~WindowManagement();

    /**
     * @brief 设置窗口主题提示
     *
     * @param winId 窗口id
     *
     * @return 无
     */
    static bool setWindowMotifHint(int winId);

    /**
     * @brief 设置缩放属性
     *
     * @param 无
     *
     * @retval true 成功
     * @retval false 失败
     */
    static bool setScalingProperties(void);
};

} /* namespace kabase */
} /* namespace kdk */

#endif
